package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.BannerInfo;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.config.AliConfig;
import com.ruoyi.system.mapper.BannerInfoMapper;
import com.ruoyi.system.service.IBannerInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Service
public class BannerInfoServiceImpl implements IBannerInfoService
{
    @Autowired
    private BannerInfoMapper bannerInfoMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public BannerInfo selectBannerInfoById(String id)
    {
        return bannerInfoMapper.selectBannerInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param bannerInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<BannerInfo> selectBannerInfoList(BannerInfo bannerInfo)
    {
        return bannerInfoMapper.selectBannerInfoList(bannerInfo);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param bannerInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertBannerInfo(BannerInfo bannerInfo){
        //上传文件
        return bannerInfoMapper.insertBannerInfo(bannerInfo);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param bannerInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateBannerInfo(BannerInfo bannerInfo)
    {
        bannerInfo.setUpdateTime(DateUtils.getNowDate());
        return bannerInfoMapper.updateBannerInfo(bannerInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteBannerInfoByIds(String[] ids)
    {
        return bannerInfoMapper.deleteBannerInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteBannerInfoById(String id)
    {
        return bannerInfoMapper.deleteBannerInfoById(id);
    }

    @Override
    public List<BannerInfo> getEnableBanner() {
        return bannerInfoMapper.selectEnableBanner();
    }
}
